API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/billing/collection-reminders/send
ark.send_collection_reminder_batch
Send Collection Reminder Batch through the authoritative Billing application boundary.
- Availability
- Expanded preview
- Scopes
loads:readbilling:write- ARK permissions
canViewLoadscanViewBillingcanMakeAdjustments- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
Idempotency-Keyheaderstringrequired- Stable key for safe replay of this exact operation input.
- min length: 8; max length: 200
Request body
groupsarray<object>requiredmin items: 1; max items: 100
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/billing/collection-reminders/send' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"groups": [
{
"groupId": "<groupId>",
"customerId": "<customerId>",
"currency": "<currency>",
"recipient": "<recipient>",
"subject": "<subject>",
"body": "<body>",
"obligations": [
{
"obligationId": "<obligationId>",
"customerInvoiceVersionId": "<customerInvoiceVersionId>",
"expectedWorkflowVersion": 1,
"expectedBalanceVersion": 1,
"openAmountMinor": "<openAmountMinor>"
}
],
"reviewedRecentReminderId": "<reviewedRecentReminderId>"
}
]
}'Success response
Operation result.
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.resultobjectrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry